Bug 27576 - Don't show import records table when cleaning a batch
Summary: Don't show import records table when cleaning a batch
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-29 11:08 UTC by Nick Clemens
Modified: 2021-02-11 21:49 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03,20.05.09,19.11.15


Attachments
Bug 27576: Don't show import recordds table after cleaning a batch (1.51 KB, patch)
2021-01-29 11:10 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27576: Don't show import recordds table after cleaning a batch (1.57 KB, patch)
2021-01-29 17:51 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27576: Don't show import recordds table after cleaning a batch (1.63 KB, patch)
2021-01-31 12:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-01-29 11:08:31 UTC
Currently if you clean a batch from the manage marc records page, the import records table appears with no items at the bottom of the screen

To recreate:
1 - Stage a batch for import
2 - Go to 'Manage staged records'
3 - 'Clean' the batch you just imported
4 - Note the empty table that appears at the bottom of the page
Comment 1 Nick Clemens 2021-01-29 11:10:35 UTC
Created attachment 116019 [details] [review]
Bug 27576: Don't show import recordds table after cleaning a batch

Currently if you clean a batch from the manage marc records page, the import records table appears with no items  at the bottom of the screen

This is because we test for import_batch_id, we should also make sure we didn't just clean a batch

To recreate:
1 - Stage a batch for import
2 - Go to 'Manage staged records'
3 - 'Clean' the batch you just imported
4 - Note the empty table that appears at the bottom of the page
5 - Apply patch
6 - Repeat 1-3
7 - Note the table no longer appears
Comment 2 PTFS Europe Sandboxes 2021-01-29 17:51:50 UTC
Created attachment 116067 [details] [review]
Bug 27576: Don't show import recordds table after cleaning a batch

Currently if you clean a batch from the manage marc records page, the import records table appears with no items  at the bottom of the screen

This is because we test for import_batch_id, we should also make sure we didn't just clean a batch

To recreate:
1 - Stage a batch for import
2 - Go to 'Manage staged records'
3 - 'Clean' the batch you just imported
4 - Note the empty table that appears at the bottom of the page
5 - Apply patch
6 - Repeat 1-3
7 - Note the table no longer appears

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 Katrin Fischer 2021-01-31 12:56:47 UTC
Created attachment 116096 [details] [review]
Bug 27576: Don't show import recordds table after cleaning a batch

Currently if you clean a batch from the manage marc records page, the import records table appears with no items  at the bottom of the screen

This is because we test for import_batch_id, we should also make sure we didn't just clean a batch

To recreate:
1 - Stage a batch for import
2 - Go to 'Manage staged records'
3 - 'Clean' the batch you just imported
4 - Note the empty table that appears at the bottom of the page
5 - Apply patch
6 - Repeat 1-3
7 - Note the table no longer appears

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-02-01 16:27:30 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-02-05 16:10:21 UTC
Pushed to 20.11.x for 20.11.03
Comment 6 Andrew Fuerste-Henry 2021-02-09 21:15:26 UTC
Pushed to 20.05.x for 20.05.09
Comment 7 Victor Grousset/tuxayo 2021-02-11 03:01:39 UTC
Backported: Pushed to 19.11.x branch for 19.11.15